tt_message_user_set(library call)

NAME
tt_message_user_set — stores user information associated with a message object

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_user_set(
Tt_message m,
int key,
void *v);

DESCRIPTION

The tt_message_user_set function stores user information in data cells associated with the specified message object.

The user data is part of the message object (that is, the storage buffer in the application); it is not part of the actual message. Data stored by the sending process in user data cells is not seen by handlers and observers. The application can use arguments for data that needs to be seen by handlers or observers.

The m argument is the opaque handle for the message involved in this operation. The key argument is the user data cell in which user information is to be stored. The v argument is the data cell, a piece of arbitrary user data that can hold a void *.

RETURN VALUE

Upon successful completion, the tt_message_user_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_arg_add(3).